osgDB::ObjectProperty Class Reference

`#include <DataTypes>`

## Public Member Functions

| ObjectProperty ()
| ObjectProperty (const char *name, int value=0, bool useMap=false)
| ObjectProperty (const ObjectProperty &copy)
ObjectProperty & | operator() (const char *name)
void | set (int v)
int | get () const

## Public Attributes

std::string | _name
int | _value
bool | _mapProperty

## Constructor & Destructor Documentation

## ObjectProperty() [1/3]

osgDB::ObjectProperty::ObjectProperty | ( |  | ) |

inline

References _mapProperty, and _value.

Referenced by ObjectProperty(), and operator()().

## ObjectProperty() [2/3]

osgDB::ObjectProperty::ObjectProperty | ( | const char * | name,
|  | int | value = 0,
|  | bool | useMap = false )

inline

References _mapProperty, _name, and _value.

## ObjectProperty() [3/3]

osgDB::ObjectProperty::ObjectProperty | ( | const ObjectProperty & | copy | ) |

inline

References _mapProperty, _name, _value, and ObjectProperty().

## Member Function Documentation

## get()

int osgDB::ObjectProperty::get | ( |  | ) | const

inline

References _value.

## operator()()

ObjectProperty & osgDB::ObjectProperty::operator() | ( | const char * | name | ) |

inline

References _name, and ObjectProperty().

## set()

void osgDB::ObjectProperty::set | ( | int | v | ) |

inline

References _value.

## Member Data Documentation

## _mapProperty

bool osgDB::ObjectProperty::_mapProperty

Referenced by ObjectProperty(), ObjectProperty(), and ObjectProperty().

## _name

std::string osgDB::ObjectProperty::_name

Referenced by ObjectProperty(), ObjectProperty(), and operator()().

## _value

int osgDB::ObjectProperty::_value

Referenced by get(), ObjectProperty(), ObjectProperty(), ObjectProperty(), and set().

The documentation for this class was generated from the following file:

- DataTypes